[SeaMonkey] xpcshell: "Couldn't report telemetry" warning. ("test_corrupt_database.js | 3 == 2". And 6 other gloda tests.)

VERIFIED FIXED in Thunderbird 12.0

Status

MailNews Core
Database
--
major
VERIFIED FIXED
6 years ago
5 years ago

People

(Reporter: sgautherie, Assigned: sgautherie)

Tracking

(Blocks: 1 bug)

Trunk
Thunderbird 12.0
Dependency tree / graph
Bug Flags:
in-testsuite -

SeaMonkey Tracking Flags

(seamonkey2.7 wontfix, seamonkey2.8 verified)

Details

(Whiteboard: [fixed by bug 710562] [perma-orange], URL)

(Assignee)

Description

6 years ago
Test code is:
{
135   // we expect 2 warnings
136   do_check_eq(countingAppender.getCountForLevel(Log4Moz.Level.Warn), 2);
}

Iiuc, SeaMonkey additional warning is:
{
2011-12-13 07:53:11	gloda.datastore	WARN	Couldn't report telemetry [Exception... "Component returned failure code: 0x80004005 (NS_ERROR_FAILURE) [nsITelemetry.getHistogramById]"  nsresult: "0x80004005 (NS_ERROR_FAILURE)"  location: "JS frame :: resource:///modules/gloda/datastore.js :: gloda_ds_init :: line 988"  data: no]
}

***

Application code is:

http://mxr.mozilla.org/comm-central/source/mailnews/db/gloda/modules/datastore.js#983
{
984     // Report about the size of the database through telemetry (if there's a
985     // database, naturally).
986     if (dbFile.exists()) {
987       try {
988         let h = Services.telemetry.getHistogramById("THUNDERBIRD_GLODA_SIZE_MB");
989         h.add(dbFile.fileSize/1048576);
990       } catch (e) {
991         this._log.warn("Couldn't report telemetry", e);
992       }
993     }
}

http://mxr.mozilla.org/comm-central/source/mozilla/toolkit/components/telemetry/TelemetryHistograms.h#265
{
256 /**
257  * Thunderbird-specific telemetry.
258  */
259 #ifdef MOZ_THUNDERBIRD
260 HISTOGRAM(THUNDERBIRD_GLODA_SIZE_MB, 1, 1000, 40, LINEAR, "Gloda: size of global-messages-db.sqlite (MB)")
261 HISTOGRAM(THUNDERBIRD_CONVERSATIONS_TIME_TO_2ND_GLODA_QUERY_MS, 1, 10000, 30, EXPONENTIAL, "Conversations: time between the moment we click and the second gloda query returns (ms)")
262 HISTOGRAM(THUNDERBIRD_INDEXING_RATE_MSG_PER_S, 1, 100, 20, LINEAR, "Gloda: indexing rate (message/s)")
263 #endif
}

***

Unless SeaMonkey would be "ready" to have telemetry ported/enabled,
it looks like all telemetry code in MailNews Core should be |#ifdef MOZ_THUNDERBIRD|, especially as "variables" are named 'THUNDERBIRD_*'.

Or, if other applications rely on the try+catch, the test should accept this additional warning when not running Thunderbird.
(Assignee)

Updated

6 years ago
Whiteboard: [perma-orane] → [perma-orange]

Comment 1

6 years ago
or change |this._log.warn()| to \this._log.debug()|
Depends on: 710562
The main issue here is the fact that we've got a MOZ_THUNDERBIRD ifdef in core - we shouldn't have those. I've just filed bug 710562 to handle that.
(Assignee)

Comment 3

6 years ago
6 other gloda tests are affected too:

test_index_bad_messages.js:
{
TEST-UNEXPECTED-FAIL | e:\builds\slave\test\build\xpcshell\tests\mailnews\db\gloda\test\unit\test_index_bad_messages.js | test failed (with xpcshell return code: 0), see following log:
...
TEST-UNEXPECTED-FAIL | resource:///modules/gloda/log4moz.js | 2011-12-14 00:06:25	gloda.indexer	WARN	Couldn't report telemetry [Exception... "Component returned failure code: 0x80004005 (NS_ERROR_FAILURE) [nsITelemetry.getHistogramById]"  nsresult: "0x80004005 (NS_ERROR_FAILURE)"  location: "JS frame :: resource:///modules/gloda/indexer.js :: gloda_index_workBatch :: line 1190"  data: no] 17
}

test_index_compaction.js
test_index_messages_imap_offline.js
test_index_messages_imap_online.js
test_index_messages_imap_online_to_offline.js
test_index_messages_local.js
Summary: [SeaMonkey] "test_corrupt_database.js | 3 == 2" at "test_corrupt_databases_get_reported_and_blown_away :: line 136" → [SeaMonkey] xpcshell: "Couldn't report telemetry" warning. ("test_corrupt_database.js | 3 == 2". And 6 other gloda tests.)
(Assignee)

Comment 4

6 years ago
http://tinderbox.mozilla.org/showlog.cgi?log=SeaMonkey/1325882627.1325885541.8536.gz
OS X 10.6 comm-central-trunk debug test xpcshell on 2012/01/06 12:43:47
http://tinderbox.mozilla.org/showlog.cgi?log=SeaMonkey/1325898427.1325903466.12883.gz
WINNT 5.2 comm-central-trunk debug test xpcshell on 2012/01/06 17:07:07

V.Fixed, by bug 710562.
Assignee: nobody → sgautherie.bz
Status: NEW → RESOLVED
Last Resolved: 6 years ago
status-seamonkey2.7: --- → affected
status-seamonkey2.8: --- → affected
Flags: in-testsuite-
Resolution: --- → FIXED
Whiteboard: [perma-orange] → [fixed by bug 710562] [perma-orange]
Target Milestone: --- → Thunderbird 12.0
(Assignee)

Updated

6 years ago
Status: RESOLVED → VERIFIED
(Assignee)

Updated

6 years ago
status-seamonkey2.7: affected → wontfix
(Assignee)

Comment 5

5 years ago
http://tinderbox.mozilla.org/showlog.cgi?log=SeaMonkey-Beta/1329961361.1329964007.21039.gz
OS X 10.6 comm-beta debug test xpcshell on 2012/02/22 17:42:41

seamonkey2.8: verified.
status-seamonkey2.8: affected → verified
You need to log in before you can comment on or make changes to this bug.